/**
  ******************************************************************************
  * @file    ethernetif_enc28j60.c
  * @author  YEES
  * @version V1.0.0
  * @date    2011/11/17
  * @brief   ENC28J60. 
  ******************************************************************************
  * @attention
  * (C) COPYRIGHT 2011 YEES 
  ******************************************************************************  
  */ 

#ifndef __ETHERNETIF_ENC28J60_H__
#define __ETHERNETIF_ENC28J60_H__

#include "lwip/opt.h"

#include "lwip/err.h"
#include "lwip/netif.h"


//=============================================================================
#define		MAC_0		0x00
#define		MAC_1		0x0E	
#define 	MAC_2		0x6C	
#define 	MAC_3		0x5A	
#define 	MAC_4		0xA5	
#define 	MAC_5		0x00	
//=============================================================================



err_t ethernetif_init(struct netif *netif);
err_t ethernetif_input(struct netif *netif);



struct netif *ethernetif_register(void);
int ethernetif_poll(void);


#ifdef SERVER

#define MAC_ADDR0 0x00
#define MAC_ADDR1 0x00
#define MAC_ADDR2 0x00
#define MAC_ADDR3 0x00
#define MAC_ADDR4 0x00
#define MAC_ADDR5 0x01

#else

#define MAC_ADDR0 0x00
#define MAC_ADDR1 0x00
#define MAC_ADDR2 0x00
#define MAC_ADDR3 0x00
#define MAC_ADDR4 0x00
//#define MAC_ADDR5 0x02
#define MAC_ADDR5 0x03
//#define MAC_ADDR5 0x04

#endif

#endif 		//__ETHERNETIF_H__

/******************* (C) COPYRIGHT 2011 YEES *****END OF FILE****/

